<?php

namespace App\Models;

use App\Traits\UuidPrimaryKey;
use App\Exceptions\ModelNotFoundException;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BoletaElectronica extends Model {
    use UuidPrimaryKey, SoftDeletes;

    protected $table = 'boletas_electronicas';
    protected $hidden = ['created_at', 'updated_at', 'deleted_at', 'pivot'];

    public function venta() {
        return $this->belongsTo(Venta::class);
    }

    public function restaurante() {
        return $this->belongsTo(Restaurante::class);
    }
}
